MQListener (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQListener interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQListener

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

All Known Subinterfaces:
  MQNetBIOSListener, MQSNAListener, MQSPXListener, MQTCPListener

    public interface MQListener

extends LogicalElement, MQBase

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQLISTENER

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getBacklog()` The number of concurrent connection requests that the listener supports.
`java.lang.String` | `getControl()` CONTROL(string) Specifies how the listener is to be started and stopped.: MANUAL- The listener is not to be started automatically or stopped automatically.
`java.lang.String` | `getName()` This is the name of MQListener.
`MQQueueManager` | `getQueueManager()`
`long` | `getStartTime()` (time when listener was started)
`boolean` | `hasBacklog()`
`boolean` | `hasControl()`
`boolean` | `hasName()`
`boolean` | `hasQueueManager()`
`boolean` | `hasStartTime()`
`void` | `setBacklog(int x)`
`void` | `setControl(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setStartTime(long x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getControl

    java.lang.String getControl()
                                throws AttributeNotSetException

  CONTROL(string) Specifies how the listener is to be started and stopped.: MANUAL- The listener is not to be started automatically or stopped automatically. It is to be controlled by use of the START LISTENER and STOP LISTENER commands. This is the default value. QMGR - The listener being defined is to be started and stopped at the same time as the queue manager is started and stopped. STARTONLY - The listener is to be started at the same time as the queue manager is started, but is not requested to stop when the queue manager is stopped.

  Throws:
    `AttributeNotSetException`

### setControl

    void setControl(java.lang.String x)

### hasControl

    boolean hasControl()

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Advertises" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  This is the name of MQListener.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getBacklog

    int getBacklog()
                   throws AttributeNotSetException

  The number of concurrent connection requests that the listener supports. If you do not specify a value, the default value defined by the protocol is used.

  Throws:
    `AttributeNotSetException`

### setBacklog

    void setBacklog(int x)

### hasBacklog

    boolean hasBacklog()

### getStartTime

    long getStartTime()
                      throws AttributeNotSetException

  (time when listener was started)

  Throws:
    `AttributeNotSetException`

### setStartTime

    void setStartTime(long x)

### hasStartTime

    boolean hasStartTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD